<bugID>344009<Summary>Option Set Home Page: "Use this page" not easy to utilize</Summary><Description>1. Open Options window
2. Put a tick in the box Use this page
3. Click between tabs to find the page and URL that you want to use
4. Result: you can't. The Options window does not allow you to focus the main window.

And this bug is not about: "should the Options window always be on top or not?" (I think it is an existing bug) but: "is the choice useful?" 
Very few people know a full URL off the top of their heads I think. :?</Description></bugID>